com.amazonaws.services.machinelearning.model

## Class RDSMetadata

- java.lang.Object
- - com.amazonaws.services.machinelearning.model.RDSMetadata

All Implemented Interfaces:
  Serializable, Cloneable

    public class RDSMetadata
    extends Object
    implements Serializable, Cloneable

The datasource details that are specific to Amazon RDS.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RDSMetadata()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RDSMetadata` `clone()`
`boolean` `equals(Object obj)`
`RDSDatabase` `getDatabase()` The database details required to connect to an Amazon RDS.
`String` `getDatabaseUserName()`
`String` `getDataPipelineId()` The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3.
`String` `getResourceRole()` The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3.
`String` `getSelectSqlQuery()` The SQL query that is supplied during CreateDataSourceFromRDS.
`String` `getServiceRole()` The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3.
`int` `hashCode()`
`void` `setDatabase(RDSDatabase database)` The database details required to connect to an Amazon RDS.
`void` `setDatabaseUserName(String databaseUserName)`
`void` `setDataPipelineId(String dataPipelineId)` The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3.
`void` `setResourceRole(String resourceRole)` The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3.
`void` `setSelectSqlQuery(String selectSqlQuery)` The SQL query that is supplied during CreateDataSourceFromRDS.
`void` `setServiceRole(String serviceRole)` The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RDSMetadata` `withDatabase(RDSDatabase database)` The database details required to connect to an Amazon RDS.
`RDSMetadata` `withDatabaseUserName(String databaseUserName)`
`RDSMetadata` `withDataPipelineId(String dataPipelineId)` The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3.
`RDSMetadata` `withResourceRole(String resourceRole)` The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3.
`RDSMetadata` `withSelectSqlQuery(String selectSqlQuery)` The SQL query that is supplied during CreateDataSourceFromRDS.
`RDSMetadata` `withServiceRole(String serviceRole)` The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RDSMetadata

    public RDSMetadata()

### Method Detail

#### setDatabase

    public void setDatabase(RDSDatabase database)

The database details required to connect to an Amazon RDS.

Parameters:
  `database` - The database details required to connect to an Amazon RDS.

#### getDatabase

    public RDSDatabase getDatabase()

The database details required to connect to an Amazon RDS.

Returns:
  The database details required to connect to an Amazon RDS.

#### withDatabase

    public RDSMetadata withDatabase(RDSDatabase database)

The database details required to connect to an Amazon RDS.

Parameters:
  `database` - The database details required to connect to an Amazon RDS.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDatabaseUserName

    public void setDatabaseUserName(String databaseUserName)

Parameters:
  `databaseUserName` -

#### getDatabaseUserName

    public String getDatabaseUserName()

Returns:

#### withDatabaseUserName

    public RDSMetadata withDatabaseUserName(String databaseUserName)

Parameters:
  `databaseUserName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSelectSqlQuery

    public void setSelectSqlQuery(String selectSqlQuery)

The SQL query that is supplied during CreateDataSourceFromRDS. Returns only if `Verbose` is true in `GetDataSourceInput`.

Parameters:
  `selectSqlQuery` - The SQL query that is supplied during CreateDataSourceFromRDS. Returns only if `Verbose` is true in `GetDataSourceInput`.

#### getSelectSqlQuery

    public String getSelectSqlQuery()

The SQL query that is supplied during CreateDataSourceFromRDS. Returns only if `Verbose` is true in `GetDataSourceInput`.

Returns:
  The SQL query that is supplied during CreateDataSourceFromRDS. Returns only if `Verbose` is true in `GetDataSourceInput`.

#### withSelectSqlQuery

    public RDSMetadata withSelectSqlQuery(String selectSqlQuery)

The SQL query that is supplied during CreateDataSourceFromRDS. Returns only if `Verbose` is true in `GetDataSourceInput`.

Parameters:
  `selectSqlQuery` - The SQL query that is supplied during CreateDataSourceFromRDS. Returns only if `Verbose` is true in `GetDataSourceInput`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setResourceRole

    public void setResourceRole(String resourceRole)

The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

Parameters:
  `resourceRole` - The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

#### getResourceRole

    public String getResourceRole()

The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

Returns:
  The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

#### withResourceRole

    public RDSMetadata withResourceRole(String resourceRole)

The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

Parameters:
  `resourceRole` - The role (DataPipelineDefaultResourceRole) assumed by an Amazon EC2 instance to carry out the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setServiceRole

    public void setServiceRole(String serviceRole)

The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

Parameters:
  `serviceRole` - The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

#### getServiceRole

    public String getServiceRole()

The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

Returns:
  The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

#### withServiceRole

    public RDSMetadata withServiceRole(String serviceRole)

The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

Parameters:
  `serviceRole` - The role (DataPipelineDefaultRole) assumed by the Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataPipelineId

    public void setDataPipelineId(String dataPipelineId)

The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3. You can use the ID to find details about the instance in the Data Pipeline console.

Parameters:
  `dataPipelineId` - The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3. You can use the ID to find details about the instance in the Data Pipeline console.

#### getDataPipelineId

    public String getDataPipelineId()

The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3. You can use the ID to find details about the instance in the Data Pipeline console.

Returns:
  The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3. You can use the ID to find details about the instance in the Data Pipeline console.

#### withDataPipelineId

    public RDSMetadata withDataPipelineId(String dataPipelineId)

The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3. You can use the ID to find details about the instance in the Data Pipeline console.

Parameters:
  `dataPipelineId` - The ID of the Data Pipeline instance that is used to carry to copy data from Amazon RDS to Amazon S3. You can use the ID to find details about the instance in the Data Pipeline console.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RDSMetadata clone()

Overrides:
  `clone` in class `Object`